%define pname		Cryptix-asn1
%define name		cryptix-asn1
%define version		20011119
%define snapshot	20011119
%define release		3jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Cryptix ASN1 implementation
License:	BSD style
Group:		Security/Cryptography
Url:		http://www.cryptix.org
Source0:	%{pname}-%{snapshot}.tar.gz
Source1:	%{name}.build.script.tar.bz2
Vendor:		JPackage Project
Distribution:	JPackage
Requires:	cryptix
BuildRequires:	ant
BuildRequires:	cryptix
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Java crypto package and asn1 implementation.

%package javadoc
Group:		Development/Documentation
Summary:	Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{pname}-%{snapshot}
%setup -n %{pname}-%{snapshot} -T -D -a1
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
ant jar
ant javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/lib/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr build/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc cryptix/asn1/docs/*
%{javadir}/*.jar

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 20011119-3jpp 
- vendor, distribution, group tags
- section macro

* Fri Jan 18 2002 Henri Gomez <hgomez@slib.fr> 20011119-2jpp
- add version in javadoc dir

* Fri Dec 14 2001 Henri Gomez <hgomez@slib.fr> 20011119-1jpp
- first JPackage release
- this snapshot came from puretls site, www.rtfm.com, since it fixes problems with puretls
